Description

Błędy z parserów są przekazywane bezpośrednio do UI.
Pusty wynik parsowania powoduje błąd połączenia i przeładowanie dokumentu z utratą wprowadzonych danych.
Błąd parsowania powoduje skasowanie wprowadzonej w pole tekstowe bibliografii.

Associated revisions
Revision 9c666589 - 2018-04-03 14:41 - Jarosław Bąbel

refs #1948 #1949 refaktoryzacja logiki wyboru parsera, poprawienie obsługi błędów parsowania bibliografii

Revision d91e4c21 - 2018-04-05 14:02 - Jarosław Bąbel

refs #1948 refaktoryzacja logiki wyboru parsera - wybiera pierwszy pasujący według formatu, jeżeli nie ma to pierwszy pasujący według danych
wejściowych, testy

Revision ab00d221 - 2018-04-09 14:23 - Jarosław Bąbel

refs #1948 refaktoryzacja przekształcenia BibText -> YRelation; poprawienie obsługi BibEntry nie zawierającego danych - po błędach parsowania
pojawiały się wpisy zawierające tylko średnik i przecinek

History
#1 - 2018-04-16 13:11 - Jarosław Bąbel
- Status changed from W toku to Rozwiązany
